**********************
The sherpa.plot module
**********************

.. currentmodule:: sherpa.plot

.. automodule:: sherpa.plot

   .. rubric:: Classes

   .. autosummary::
      :toctree: api

      Plot
      Contour
      Point
      Histogram
      HistogramPlot
      DataHistogramPlot
      ModelHistogramPlot
      SourceHistogramPlot
      PDFPlot
      CDFPlot
      LRHistogram
      SplitPlot
      JointPlot
      DataPlot
      TracePlot
      ScatterPlot
      PSFKernelPlot
      DataContour
      PSFKernelContour
      ModelPlot
      ComponentModelPlot
      ComponentModelHistogramPlot
      ComponentTemplateModelPlot
      SourcePlot
      ComponentSourcePlot
      ComponentSourceHistogramPlot
      ComponentTemplateSourcePlot
      PSFPlot
      ModelContour
      PSFContour
      SourceContour
      FitPlot
      FitContour
      DelchiPlot
      ChisqrPlot
      ResidPlot
      ResidContour
      RatioPlot
      RatioContour
      Confidence1D
      Confidence2D
      IntervalProjection
      IntervalUncertainty
      RegionProjection
      RegionUncertainty

Class Inheritance Diagram
=========================

.. inheritance-diagram::   Plot Contour Point Histogram HistogramPlot DataHistogramPlot ModelHistogramPlot SourceHistogramPlot PDFPlot CDFPlot LRHistogram SplitPlot JointPlot DataPlot TracePlot ScatterPlot PSFKernelPlot DataContour PSFKernelContour ModelPlot ComponentModelPlot ComponentModelHistogramPlot ComponentTemplateModelPlot SourcePlot ComponentSourcePlot ComponentSourceHistogramPlot ComponentTemplateSourcePlot PSFPlot ModelContour PSFContour SourceContour FitPlot FitContour DelchiPlot ChisqrPlot ResidPlot ResidContour RatioPlot RatioContour Confidence1D Confidence2D IntervalProjectionWorker IntervalProjection IntervalUncertaintyWorker IntervalUncertainty RegionProjectionWorker RegionProjection RegionUncertaintyWorker RegionUncertainty
   :parts: 1
